package io.reactivex.internal.util;

import java.util.ArrayList;
import java.util.List;
import java.util.concurrent.Callable;
import 㴹.K.䁗.AbstractC2521;

public enum ArrayListSupplier implements Callable<List<Object>>, AbstractC2521<Object, List<Object>> {
    INSTANCE;

    public static <T> Callable<List<T>> asCallable() {
        return INSTANCE;
    }

    public static <T, O> AbstractC2521<O, List<T>> asFunction() {
        return INSTANCE;
    }

    @Override // 㴹.K.䁗.AbstractC2521
    public List<Object> apply(Object obj) throws Exception {
        return new ArrayList();
    }

    @Override // java.util.concurrent.Callable
    public List<Object> call() throws Exception {
        return new ArrayList();
    }
}
